aplicar el parche en la installation de chispa

Tenemos un problema con nuestra installation de hortonworks, específicamente con nuestra versión de chispa 1.6.

Tenemos una aplicación de chispa de transmisión que falla con este error:

https://github.com/apache/spark/pull/10621

Lo sé, obviamente está resuelto y si descargo la versión más reciente de spark 1.6 resuelvo el problema, pero en mi caso tengo la versión de Hortonworks 2.5 y no puedo eliminar mi installation actual y no cargar la nueva installation, en realidad no lo sé si puedo eliminar mi installation actual de hortonworks y volver a instalarla con la última versión de spark porque creo que si reinstalo la misma versión con el mismo error.

De todos modos, en el repository de Github explican que debería aplicar el parche de github, pero esta es mi pregunta.

¿Cómo puedo aplicar este parche en mi installation y recomstackr toda la installation de la chispa? un poco de cómo o paso a paso …………..

Gracias por adelantado.